Jump to: navigation, search

Difference between revisions of "EclipseLink/Timeline"

m
Line 68: Line 68:
 
** Reuse of https://dev.eclipse.org/ipzilla/show_bug.cgi?id=1359
 
** Reuse of https://dev.eclipse.org/ipzilla/show_bug.cgi?id=1359
 
** Approval granted - 08/13/2007
 
** Approval granted - 08/13/2007
 +
* 1701: wsdl4j Version: 1.6.2
 +
** https://dev.eclipse.org/ipzilla/show_bug.cgi?id=1701
 +
** Opened 08/20/2007
 +
** Source attached 08/20/2007
 +
** status '''new'''

Revision as of 14:27, 23 August 2007

  • Wed May 30 - EclipseLink Creation review
  • Wed June 6th - Voting Closed. Received +12 votes
  • Thurs June 7th - EMO confirmed successful creation review
  • Fri June 8th - Attempted first submission of provisioning forms - failed due to authorization issues on eclipse site.
  • Mon June 11th - bypassed web submission form, sent provisioning in through email.
  • Mon June 25th - Webmaster sent: The Eclipse EclipseLink project is complete
  • Fri July 6th - Open IPZilla bugs and submitted EclipseLink source code.
  • Mon July 16th - PMC votes +1 on source submission.
  • Tues July 17th - emo posts questions on 1604.
  • Tues July 31st - questions on 1604 answered
  • Thurs Aug 09 - All tickets granted.
  • Fri Aug 10 - new ticket opened for ANTLR 3.0
  • Mon Aug 13 - All tickets approved.
  • Thurs Aug 23 - Begin Check-in of source. This will be done in stages, and this page will be updated with expected dates as they are available.
    • Initial source drop (Expected completion date: Aug 23) - this will include all .java files, a preliminary jar file, but no build dependancies. The jar file will be capable of passing most tests, but has failures in some areas due to the fact that we are upgrading dependancy libraries
    • Check in libraries. For a number of libraries, a version upgrade is required due to Eclipse licensing constraints. We will check the libraries in as we are able to upgrade and test them.
    • Test fixes. Fixes for tests that are currently breaking.
    • Code changes for antlr upgrade. Eclipse licensing requirements mean we have to upgrade from ANTLR 2.7.x to ANTLR 3.0. The upgrade from antlr 2.7.x to 3.0 is fairly major. The upgrade is in progress, but currently JPQL does not work. When the upgrade is finished we will check-in working JPQL support and the antlr dependancy
    • Build scripts and Eclipse projects

Updated: Tickets: Open

  • NONE

Tickets: Initial Approval